Bug 807113 - Review Request: zanata-util - Helper scripts for using Zanata
Review Request: zanata-util - Helper scripts for using Zanata
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 00:20 EDT by Ding-Yi Chen
Modified: 2012-05-22 11:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: zanata-util-0.2.7-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-19 23:08:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-03-27 00:20:55 EDT
Spec URL: http://dchen.fedorapeople.org/files/rpms/zanata-util.spec
SRPM URL: http://dchen.fedorapeople.org/files/rpms/zanata-util-0.1.0-1.fc16.src.rpm
Description: 
zanata-util is a collection of helper scripts that make using Zanata easier.

It includes:
* zanata_pom_xml_make: Produce a pom.xml for using Zanata maven client.
     It either inserts setting for zanata plugin and zanata plugin repository,
     or create a new pom.xml if pom.xml does not yet exists.

* zanata_zanata_xml_make: Produce a zanata.xml for using Zanata clients.
     It downloads the corresponding zanata.xml and map the local locales to
     the ones that Zanata server supported.

* zanata_replace_string_with_file:
     Replace a string in a file with content of a file.
Comment 1 Parag AN(पराग) 2012-03-27 01:29:11 EDT
1) unable to find source tarball. See
$ wget https://fedorahosted.org/releases/z/a/zanata-util/zanata-util-0.1.0.tar.gz
--2012-03-27 10:49:13--  https://fedorahosted.org/releases/z/a/zanata-util/zanata-util-0.1.0.tar.gz
Resolving fedorahosted.org... 66.135.62.191
Connecting to fedorahosted.org|66.135.62.191|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2012-03-27 10:49:14 ERROR 404: Not Found.


2) you don't need to write each perl package Requires: explicitly. They will get created automatically.

3) Is this package for RHEL also? I see %clean section and removal of buildroot in %install written in spec which is not needed in Fedora now


4) Remove the unnecessary comments.
Comment 2 Parag AN(पराग) 2012-03-30 03:16:47 EDT
any update?
Comment 3 Ding-Yi Chen 2012-04-02 01:45:12 EDT
(In reply to comment #1)
> 1) unable to find source tarball. See
> $ wget
> https://fedorahosted.org/releases/z/a/zanata-util/zanata-util-0.1.0.tar.gz
> --2012-03-27 10:49:13-- 
> https://fedorahosted.org/releases/z/a/zanata-util/zanata-util-0.1.0.tar.gz
> Resolving fedorahosted.org... 66.135.62.191
> Connecting to fedorahosted.org|66.135.62.191|:443... connected.
> HTTP request sent, awaiting response... 404 Not Found
> 2012-03-27 10:49:14 ERROR 404: Not Found.

Modified accordingly.

> 2) you don't need to write each perl package Requires: explicitly. They will
> get created automatically.

Modified accordingly.

> 3) Is this package for RHEL also? I see %clean section and removal of buildroot
> in %install written in spec which is not needed in Fedora now
 
Yes, I do intent to run it in EL5 and EL6.
 
> 4) Remove the unnecessary comments.
Modified accordingly.

I have been adding some extra functionality and man pages, thus it took a bit longer.
Comment 5 Parag AN(पराग) 2012-04-02 02:46:27 EDT
1)I did the scratch build of above updated srpm ->  http://koji.fedoraproject.org/koji/taskinfo?taskID=3955621
and I found some missing BR: in
http://koji.fedoraproject.org/koji/getfile?taskID=3955622&name=build.log

Add following in spec
BuildRequires:  perl(LWP::Protocol::https)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Locale::Country)

2) rpmlint on rpms gave
zanata-util.src: W: spelling-error %description -l en_US xml -> XML, ml, x ml
zanata-util.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
zanata-util.noarch: W: incoherent-version-in-changelog 0.2.0-1 ['0.2.1-1.fc18', '0.2.1-1']
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
Comment 7 Parag AN(पराग) 2012-04-02 05:57:46 EDT
Review:-
+ Koji scratch build for f18 ->koji.fedoraproject.org/koji/taskinfo?taskID=3956008

+ rpmlint on rpms gave 
zanata-util.src: W: spelling-error %description -l en_US xml -> XML, ml, x ml
zanata-util.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

+ source verified with upstream as
sha1sum zanata-util-0.2.2.tar.gz ../SOURCES/zanata-util-0.2.2.tar.gz 
d51d63e821596df0e50beb831fbb56b3b297fbe8  zanata-util-0.2.2.tar.gz
d51d63e821596df0e50beb831fbb56b3b297fbe8  ../SOURCES/zanata-util-0.2.2.tar.gz

+ Follows packaging guidelines


APPROVED.
Comment 8 Ding-Yi Chen 2012-04-02 20:25:02 EDT
New Package SCM Request
=======================
Package Name: zanata-util
Short Description: zanata-util is a collection of helper scripts that make using Zanata easier.
Owners: dchen
Branches: f17 f16 el5
Comment 9 Gwyn Ciesla 2012-04-03 09:55:48 EDT
Git done (by process-git-requests).

If you want EL-6, EL-6 might not be a bad idea either, but that's up to you.
Comment 10 Ding-Yi Chen 2012-04-03 19:28:24 EDT
Oops, I forgot to add el6. Please add it for me.
Thanks for kindly reminded me.
Comment 11 Fedora Update System 2012-04-03 21:50:15 EDT
zanata-util-0.2.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/zanata-util-0.2.3-1.el5
Comment 12 Fedora Update System 2012-04-03 23:27:06 EDT
zanata-util-0.2.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zanata-util-0.2.3-1.fc17
Comment 13 Ding-Yi Chen 2012-04-04 20:34:03 EDT
Package Change Request
======================
Package Name: zanata-util
New Branches: el6
Owners: dchen
InitialCC: 

As majority or our users are using EL6, I think el6 is essential.
Comment 14 Fedora Update System 2012-04-04 23:04:26 EDT
zanata-util-0.2.3-1.el5 has been pushed to the Fedora EPEL 5 testing repository.
Comment 15 Gwyn Ciesla 2012-04-05 08:11:32 EDT
Git done (by process-git-requests).
Comment 16 Fedora Update System 2012-04-09 20:45:35 EDT
zanata-util-0.2.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/zanata-util-0.2.3-1.el6
Comment 17 Fedora Update System 2012-04-19 23:08:39 EDT
zanata-util-0.2.3-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 18 Fedora Update System 2012-04-20 02:39:52 EDT
zanata-util-0.2.6-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/zanata-util-0.2.6-1.el5
Comment 19 Fedora Update System 2012-04-20 02:40:32 EDT
zanata-util-0.2.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/zanata-util-0.2.6-1.fc16
Comment 20 Fedora Update System 2012-04-20 02:40:49 EDT
zanata-util-0.2.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zanata-util-0.2.6-1.fc17
Comment 21 Fedora Update System 2012-04-20 02:41:07 EDT
zanata-util-0.2.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/zanata-util-0.2.6-1.el6
Comment 22 Fedora Update System 2012-04-26 20:27:18 EDT
zanata-util-0.2.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/zanata-util-0.2.7-1.fc16
Comment 23 Fedora Update System 2012-04-26 20:27:37 EDT
zanata-util-0.2.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/zanata-util-0.2.7-1.el6
Comment 24 Fedora Update System 2012-04-26 20:27:55 EDT
zanata-util-0.2.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zanata-util-0.2.7-1.fc17
Comment 25 Fedora Update System 2012-04-26 20:28:13 EDT
zanata-util-0.2.7-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/zanata-util-0.2.7-1.el5
Comment 26 Fedora Update System 2012-05-08 00:15:39 EDT
zanata-util-0.2.7-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2012-05-10 10:18:48 EDT
zanata-util-0.2.7-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2012-05-22 11:30:15 EDT
zanata-util-0.2.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2012-05-22 11:31:52 EDT
zanata-util-0.2.7-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.